# Transactions `GET` `https://api.unusualwhales.com/api/insider/transactions` Returns the latest insider transactions. By default all transacations that have been filled by the same person on the same day with the same trade code are aggregated into a single row. Each of those aggregated rows will contain a field `ids` which contains the ids of the single transactions that were aggregated as well as the amount of transactions that were aggregated. If you want to disable this behaviour you can set the `group` parameter to false to receive the single transacations as they have been filled. ## Authentication ``` Authorization: Bearer YOUR_API_KEY ``` ## Query Parameters | Name | Type | Required | Description | |------|------|----------|-------------| | `ticker_symbol` | Ticker | No | A comma separated list of tickers. To exclude certain tickers prefix the first ticker with a `-`. | | `min_value` | string | No | Minimum transaction value in dollars | | `max_value` | string | No | Maximum transaction value in dollars | | `min_price` | string | No | Minimum stock price at the time of transaction | | `max_price` | string | No | Maximum stock price at the time of transaction | | `owner_name` | string | No | Name of the insider who made the transaction | | `sectors[]` | Sectors | No | Filter by company sector(s) | | `industries[]` | Industries | No | Filter by company industry or industries | | `min_marketcap` | Min Marketcap | No | The minimum marketcap. Min: 0. | | `max_marketcap` | Max Marketcap | No | The maximum marketcap. Min: 0. | | `market_cap_size` | Single market cap size | No | Size category of company market cap | | `min_earnings_dte` | Min Earnings DTE | No | The minimum days until the next earnings report. | | `max_earnings_dte` | Max Earnings DTE | No | The maximum days until the next earnings report. | | `min_amount` | string | No | Minimum number of shares in transaction | | `max_amount` | string | No | Maximum number of shares in transaction | | `is_director` | boolean | No | Filter transactions by company directors | | `is_officer` | boolean | No | Filter transactions by company officers | | `is_s_p_500` | boolean | No | Only include S&P 500 companies | | `is_ten_percent_owner` | boolean | No | Filter transactions by 10% owners | | `common_stock_only` | boolean | No | Only include common stock transactions | | `transaction_codes[]` | string | No | Filter by transaction codes (P=Purchase, S=Sale, etc.) | | `security_ad_codes` | string | No | Filter by security acquisition disposition codes | | `limit` | Default 500 Max 500 Min 1 | No | How many items to return. Default: 500. Max: 500. Min: 1. | | `page` | Page | No | Page number (use with limit). Starts on page 0. | | `group` | boolean | No | Group insider transactions with same person and trade code on the same day into a single row | | `start_date` | string | No | Filter for transaction dates occurring on or after this date (ISO format: YYYY-MM-DD) | | `end_date` | string | No | Filter for transaction dates occurring on or before this date (ISO format: YYYY-MM-DD) | ## Response (200) | Field | Type | Description | |-------|------|-------------| | `amount` | Insider Amount | The amount of the insider trade. | | `date_excercisable` | Insider Date Excercisable | The date excercisable of the insider trade. | | `director_indirect` | Insider Director Indirect | The director indirect of the insider trade. | | `expiration_date` | Insider Expiration Date | The expiration date of the insider trade. | | `filing_date` | Insider Filing Date | The filing date of the insider trade. | | `formtype` | Insider Form Type | The form type of the insider trade. | | `ids` | Insider IDs | The IDs of the insider trade. | | `is_10b5_1` | Insider Is 10b5-1 | True if this insider trade was part of a 10b5-1 plan | | `is_director` | Insider Is Director | Whether the insider is a director. | | `is_officer` | Insider Is Officer | Whether the insider is an officer. | | `is_ten_percent_owner` | Insider Is 10 Owner | Whether the insider is a 10% owner. | | `natureofownership` | Insider Nature of Ownership | The nature of ownership of the insider trade. | | `officer_title` | Insider Officer Title | The officer title of the insider trade. | | `owner_name` | Insider Owner Name | The owner name of the insider trade. | | `price` | Insider Price | The price of the insider trade. | | `price_excercisable` | Insider Price Excercisable | The price excercisable of the insider trade. | | `security_ad_code` | Insider Security AD Code | The security AD code of the insider trade. | | `security_title` | Insider Security Title | The security title of the insider trade. | | `shares_owned_after` | Insider Shares Owned After | The number of shares owned after the insider trade. | | `shares_owned_before` | Insider Shares Owned Before | The number of shares owned before the insider trade. | | `ticker` | Stock Ticker | The stock ticker. | | `transaction_code` | Insider Transaction Code | The transaction code of the insider trade. | | `transaction_date` | Insider Transaction Date | The transaction date of the insider trade. | | `transactions` | Insider Transactions | The number of transactions of the insider trade. | ## Example ### curl ```bash curl -X GET "https://api.unusualwhales.com/api/insider/transactions" \ -H "Authorization: Bearer YOUR_API_KEY" \ -H "Accept: application/json" ``` ### Python ```python import http.client conn = http.client.HTTPSConnection("api.unusualwhales.com") headers = {"Authorization": "Bearer YOUR_API_KEY", "Accept": "application/json"} conn.request("GET", "/api/insider/transactions", headers=headers) response = conn.getresponse() print(response.read().decode("utf-8")) ``` ## Response Example ```json { "data": [ { "amount": -35921, "date_excercisable": null, "director_indirect": null, "expiration_date": null, "filing_date": "2024-12-12", "formtype": "144", "id": "2662b73d-0ad6-4568-adb0-739b96c18090", "ids": [ "26f2911d-8e40-4fd4-9b74-c450e203a0ad" ], "is_10b5_1": true, "is_director": true, "is_officer": true, "is_s_p_500": true, "is_ten_percent_owner": true, "marketcap": "1375122749418", "natureofownership": null, "next_earnings_date": "2025-02-06", "officer_title": "COB and CEO", "owner_name": "ZUCKERBERG MARK", "price": "632", "price_excercisable": null, "sector": "Communication Services", "security_ad_code": null, "security_title": null, "shares_owned_after": null, "shares_owned_before": null, "stock_price": null, "ticker": "META", "transaction_code": "S", "transaction_date": "2024-12-12", "transactions": 1 } ] } ```